
jQuery(document).ready(function($) {
	
	$('.nav_bl .menupop').hoverIntent({
		over: function() {
			$(this).addClass("hover");
			$(this).find(".sub-menu").slideDown('fast');
		}, 
		out: function() {
			$(this).removeClass("hover");
			$(this).find(".sub-menu").slideUp('fast');
		},
		interval: 50, 
		timeout: 100,
		sensitivity: 10
	});

	$('.header-right .contact').Popover({
		width:280,		
		style:'contact-top',
		trigger:'hover',
		placement:'bottom',
		animation:'fade'			
	});
	$('.header-right .follow').Popover({
		width:158,		
		trigger:'hover',
		placement:'bottom',
		animation:'fade'			
	});
	
	$('#fix-bar li.slide').hoverIntent({
		over: function() {
			$(this).children().animate({width:'+='+($(this).find("em").width()+15)},100).find("em").show();
		}, 
		out: function() {
			$(this).children().animate({width:"45px"},100).find("em").hide();
		},
		interval: 10, 
		timeout: 10,
		sensitivity: 10
	});
	
/* 下拉菜单
/* ------------------------------------ */
	$('.nav-box .menu ul.sub-menu').hide();
	$('.nav-box .menu li.menu-item-has-children').hover( 
		function() {
			$(this).addClass('hover').children('ul.sub-menu').slideDown('fast');
		}, 
		function() {
			$(this).removeClass('hover').children('ul.sub-menu').hide();
		}
	);
	
	$('#cats-list').hover( 
		function() {
			$(this).children('a').addClass("hover");
			$(this).children('http://www.ruert.com/images/dingzhi/ul.list').slideDown('fast');
		}, 
		function() {
			$(this).children('a').removeClass("hover");
			$(this).children('http://www.ruert.com/images/dingzhi/ul.list').hide();
		}
	);

	
	$('#fix-bar .gotop').backtop({
    	'offset' : 500,
    });	



$('.service-list').hoverIntent({
		over: function() {
			$(this).children('.back').fadeIn('fast');
		}, 
		out: function() {
			$(this).children('.back').fadeOut('fast');
		},
		interval: 10, 
		timeout: 10,
		sensitivity: 10
	});
	$('.service-list').lavaLamp({
    	easing: 'easeOutBack'
	});
	


/*  评论
/* ------------------------------------ */	
	$('#respond').addClass("skin-box");
	if($('#respond').hasClass("skin-box")){
		$('#respond').prepend('<div class="box-hd"></div><div class="box-bd theform"></div>');
		$('#respond .box-hd').append($('#respond').find(".logged-in-as"));
		$('#respond .box-hd').append($('#respond').children("h3"));				
		$('#respond .box-bd').append($('#respond').children("form"));
	}

	$("#commentlist li").children(".comment-bd").mouseenter(function(){
    	$(this).children(".comment-detail").children(".comment-meta").fadeIn();
		$(this).addClass("comment-hover");
  	});
  	$("#commentlist li").children(".comment-bd").mouseleave(function(){
    	$(this).children(".comment-detail").children(".comment-meta").fadeOut();
		$(this).removeClass("comment-hover");
  	});

	
/*  修正没有href的链接
/* ------------------------------------ */	
	$('.footer-widget .menu-item-has-children').children("a").each(function(){
		if(typeof($(this).attr("href"))=='undefined' || $(this).attr("href")=='#' ){
			$(this).after('<h3>'+$(this).html()+'</h3>');
			$(this).remove();
		}else{
			$(this).wrap("<h3></h3>");
		}
	});
});

